Ethers

Overview

Explore zksync-ethers SDK versions

These versions help developers interact with the ZKsync Era blockchain. It covers most common operations developers require and provides a starting point for those new to the ZKsync Era.

Take a look at the migration guide if you are migrating from zksync-web3.

Prerequisites

Installation

To install SDK for ZKsync Era, follow the process below:

  • Install zksync-ethers and ethers packages:
yarn add zksync-ethers@5
yarn add ethers@5 # ethers is a peer dependency of zksync-ethers

For more detailed information, learn more!

V5

Integrate zksync-ethers JS SDK for ZKsync Era features.

V6

Integrate zksync-ethers JS SDK for ZKsync Era features.


Made with ❤️ by the ZKsync Community